Bug 79250 - Cell in 'Linked cell...' within "List Box" change to 'Text-@' format
Summary: Cell in 'Linked cell...' within "List Box" change to 'Text-@' format
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Eike Rathke
URL:
Whiteboard: target:5.4.0
Keywords: bibisected
Depends on:
Blocks:
 
Reported: 2014-05-26 08:50 UTC by Fomeel
Modified: 2017-02-14 15:34 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
MS Excel file (43.45 KB, application/vnd.openxmlformats-officedocument.spreadsheetml)
2014-05-26 08:50 UTC, Fomeel
Details
Calc file errors Print Screen (169.97 KB, image/jpeg)
2014-05-26 09:04 UTC, Fomeel
Details
MS Excel file Print Screen (180.28 KB, image/jpeg)
2014-05-26 09:06 UTC, Fomeel
Details
pdf showing the result in 4.2.4.2 (148.21 KB, application/pdf)
2014-05-26 09:31 UTC, Kevin Suo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fomeel 2014-05-26 08:50:50 UTC
Created attachment 99846 [details]
MS Excel file

The attachment MS Excel file is working fine but with LibreOffice Calc show some cells content as #N/A
Comment 1 Fomeel 2014-05-26 09:04:05 UTC
Created attachment 99847 [details]
Calc file errors Print Screen
Comment 2 Fomeel 2014-05-26 09:06:01 UTC
Created attachment 99848 [details]
MS Excel file Print Screen

This file is working fine with MS Excel
Comment 3 Kevin Suo 2014-05-26 09:31:38 UTC
Created attachment 99854 [details]
pdf showing the result in 4.2.4.2

I do not reproduce this in 4.2.4.2.
See the attached pdf file for the results.
Comment 4 Kevin Suo 2014-05-26 09:35:53 UTC
You should not mark your own bug as NEW or ASSIGNED
Comment 5 Kevin Suo 2014-05-26 09:38:35 UTC
UNCONFIRMED.

I also can not reproduce in 4.3.0 beta 1.
Fomeel would you please upgrade to 4.2.4.2 and test again? is this also reproducible in 4.1.6?
Comment 6 Jean-Baptiste Faure 2014-07-24 12:35:06 UTC
Not reproducible for me under Ubuntu 14.04 with LO 4.0.6, LO 4.1.6, LO 4.2.7.0.0+ and LO 4.3.1.0.0+.

Best regards. JBF
Comment 7 GerardF 2014-07-24 20:05:17 UTC
I can reproduce.
Not at opening the file but after playing with listbox (cells B4, B5...).

I don't know how it works with Excel, but with Calc Listbox always returns 'text", not numeric value.
So LOOKUP("24";range) can't find text "24" in the range containing numeric value 24.

IMHO, this is not a bug. Let status to NEEDINFO for other opinion.
Comment 8 ign_christian 2014-07-25 05:53:30 UTC
Similar with Gerard's finding, I can reproduce by playing cell B4 and/or B5 in "Main" sheet. I'm using LO 4.3.0.3 and Ubuntu 12.04 x86 while testing.

Those cells refer to, respectively, cell F3 and J3 in "Sheet2" sheet. F3 and J3, respectively, referred cell F2 and J2 in the same sheet (which initially has 'Number - Standard' format).

But if we playing B4 and/or B5 in "Main", cell F2 and/or J2 in "Sheet2" changed to 'Text - @' format. So F3 and/or J3 will have result #N/A, as well some cells in "Main" sheet which refer to those cells.

I think it's a bug, not reproducible in AOO 4.1.0
Comment 9 ign_christian 2014-07-25 06:09:08 UTC
(In reply to comment #8)
Reproduced with same behavior in LO 4.2.5.2, 4.1.6.2

Reproduced with different behavior in LO 4.0.6.2, 3.6.7.2, 3.5.7.2 : 
F2 and J2 in "Sheet2" still have 'Number - Standard' format after playing with B4 and/or B5 in "Main", BUT those cell contents will be added punctuation mark in the beginning (so it's the same as text format)
Comment 10 ign_christian 2014-07-29 07:55:52 UTC
Steps to reproduce from scratch:
1. Input cell A1 with value: 1
2. View > Toolbars > Form Controls
3. Hit "List Box" button > draw a box in cell C1 > Cancel
4. Hit "Control" button
5. Fill 'Linked cell..." with: B1
6. Fill 'Source cell range..." with A1
7. Close the control box by hitting "x"
8. Hit "Design Mode On/Off"
9. Verify that cell B1 has format "Number-Standard"
10. Select '1' in List Box (in cell C1)

Expected result: cell B1 should keep "Number-Standard" format
Unexpected result: cell B1 change to "Text-@" format

Tested with LO 4.2.6.2 - Ubuntu 12.04 x86

Set NEW as problem identified

Platform: All
Importance: not critical I think, lowering a bit
Comment 11 ign_christian 2014-07-29 08:14:16 UTC
(In reply to comment #10)
Reproduced with same behavior: LO 4.1.6.2

Reproduced with different behavior: LO 4.0.6.2, AOO 4.1.0
-> cell B1 keep the 'Number-Standard' format but cell content become: '1 (begin with punctuation mark)

I was wrong in comment 8: AOO 4.1.0 also have this bug, but the results is not updated so the #N/A not appear
Comment 12 QA Administrators 2015-09-04 02:47:36 UTC Comment hidden (obsolete)
Comment 13 Buovjaga 2015-11-18 10:18:48 UTC
Still repro per comment 10.
Adjusting priority+severity.

It is ok in 3.5.0, not even '1 with punctuation.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: b216cc1b8096eb60c27f67e8c27b7cd756c75e38
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-11-12_00:06:20
Locale: fi-FI (fi_FI)
Comment 14 Robinson Tryon (qubit) 2015-12-14 05:32:31 UTC Comment hidden (obsolete)
Comment 15 raal 2016-10-17 19:34:36 UTC
This seems to have begun at the below commit.
Adding Cc: to Kohei Yoshida ; Could you possibly take a look at this one?
Thanks




There are only 'skip'ped commits left to test.
The first bad commit could be any of:
43bbc2ffd9bad65167e294377cd76414ec8753de
65dac0ae85a44ea6ac3662e8b053d4ce5296d95c
96690f4a01a54ce25cfc828c1af567894cc456f8
e642e3a96203bc0e2e2da493a4d7b7d591dee56a
0d7c226297f9caf05cd15e846d04e675097c9fdd
f96f3313c5387e2799f048c90ac6bc6291474aac
35bac6504eba6f69d688b0cbd188598c420ea29e
We cannot bisect more!


 git bisect log
# bad: [e8a1c54dfe8a4bc03d2ce9cb9906bf06d9affa7d] source-hash-863d38fbfa4fb4861e476828c46410602100919e
# good: [8cb222c656c0444f66cfa5a35ed204169bb91e09] source-hash-efca6f15609322f62a35619619a6d5fe5c9bd5a4
git bisect start 'latest' 'oldest'
# good: [789cb134f3000918fe031ffce19c57e505cab328] source-hash-8669ad398a2971706ce22b6e5fe316991977452a
git bisect good 789cb134f3000918fe031ffce19c57e505cab328
# skip: [0699ea5ef4cb907f6f387cdf2aac183bd8fc5643] source-hash-ba6989df7dffb4fd2c62dbb9f5b1c9b000b4abdd
git bisect skip 0699ea5ef4cb907f6f387cdf2aac183bd8fc5643
# bad: [3032632d514891fc82a76f3526f4a61cb064d8ca] source-hash-2f205ee79ea929c6fce5686512bd468ab78a877a
git bisect bad 3032632d514891fc82a76f3526f4a61cb064d8ca
# bad: [62e04a3511acab40dccdf02fde6b1fcef0cb2b39] source-hash-e518ef52bbda3449130f51dbbf6f0a60bb76298f
git bisect bad 62e04a3511acab40dccdf02fde6b1fcef0cb2b39
# good: [6ee77b3f9cf5cc21ee3f66ad467c900bf390aabe] source-hash-f25fcba2f2ef699e8366d3681ae6c636798569a8
git bisect good 6ee77b3f9cf5cc21ee3f66ad467c900bf390aabe
# bad: [204729fc1ae95690d85fad6b504bcfe0cac805f6] source-hash-7f52bb5ed454c06978220ac0d0631348360b644d
git bisect bad 204729fc1ae95690d85fad6b504bcfe0cac805f6
# bad: [f2a2d7ffd5a3b7b8738a5c067085b1e19056cef3] source-hash-cadb3433b395b53a9eda584ed5fee79ca74e7483
git bisect bad f2a2d7ffd5a3b7b8738a5c067085b1e19056cef3
# bad: [ae7b4a84b2e56875e178b84764a0217e00b5419e] source-hash-28fb57daa77438f5e63132d3417062a11a44461e
git bisect bad ae7b4a84b2e56875e178b84764a0217e00b5419e
# skip: [55fd221299240469da87659d032b938d4fffdc0f] source-hash-62a2e5c0e82c6172dd8b51f8a8188781bea5827d
git bisect skip 55fd221299240469da87659d032b938d4fffdc0f
# bad: [369d6c12c7a2f93e5a62872c204ec2e5efd3668c] source-hash-c06269755ddbe11ff0d60fce7cdb52112687162b
git bisect bad 369d6c12c7a2f93e5a62872c204ec2e5efd3668c
# bad: [b8debace33eb8af708cb0e3b486535f94a495ba5] source-hash-7d1d5f290d42024c4a0c2dd03b722942f7142971
git bisect bad b8debace33eb8af708cb0e3b486535f94a495ba5
# good: [78e1193ce89b0c7dc92d19f8c42a43c3132a8373] source-hash-85ab53551239246b2ee5a784e927304bc2397942
git bisect good 78e1193ce89b0c7dc92d19f8c42a43c3132a8373
# good: [08c51565d3ebb378f5d37839739196d03209636f] source-hash-383d39de81c4581830764efab6c31eed757751cc
git bisect good 08c51565d3ebb378f5d37839739196d03209636f
# skip: [65dac0ae85a44ea6ac3662e8b053d4ce5296d95c] source-hash-05c49983366f3686576d678293c3903a08213907
git bisect skip 65dac0ae85a44ea6ac3662e8b053d4ce5296d95c
# skip: [e642e3a96203bc0e2e2da493a4d7b7d591dee56a] source-hash-18d821241c33686a419aec6d6dbaa165bf5e95b7
git bisect skip e642e3a96203bc0e2e2da493a4d7b7d591dee56a
# skip: [96690f4a01a54ce25cfc828c1af567894cc456f8] source-hash-142ac4d21d3ae4295f9cce5c8fffe1788f054b86
git bisect skip 96690f4a01a54ce25cfc828c1af567894cc456f8
# skip: [43bbc2ffd9bad65167e294377cd76414ec8753de] source-hash-230f3ea249cd1f045ba30aced35935cdc32ddd87
git bisect skip 43bbc2ffd9bad65167e294377cd76414ec8753de
# bad: [35bac6504eba6f69d688b0cbd188598c420ea29e] source-hash-e509ba00be1dfbc38bbb8b93f49be2c686cffcca
git bisect bad 35bac6504eba6f69d688b0cbd188598c420ea29e
# skip: [0d7c226297f9caf05cd15e846d04e675097c9fdd] source-hash-a67e7ca6cd7ed646bac535c8cdffd6dc1f11d331
git bisect skip 0d7c226297f9caf05cd15e846d04e675097c9fdd
# skip: [f96f3313c5387e2799f048c90ac6bc6291474aac] source-hash-9d0869e2f0a2c8e6a07c16c34686ef0029c63587
git bisect skip f96f3313c5387e2799f048c90ac6bc6291474aac
# only skipped commits left to test
# possible first bad commit: [35bac6504eba6f69d688b0cbd188598c420ea29e] source-hash-e509ba00be1dfbc38bbb8b93f49be2c686cffcca
# possible first bad commit: [f96f3313c5387e2799f048c90ac6bc6291474aac] source-hash-9d0869e2f0a2c8e6a07c16c34686ef0029c63587
# possible first bad commit: [e642e3a96203bc0e2e2da493a4d7b7d591dee56a] source-hash-18d821241c33686a419aec6d6dbaa165bf5e95b7
# possible first bad commit: [65dac0ae85a44ea6ac3662e8b053d4ce5296d95c] source-hash-05c49983366f3686576d678293c3903a08213907
# possible first bad commit: [43bbc2ffd9bad65167e294377cd76414ec8753de] source-hash-230f3ea249cd1f045ba30aced35935cdc32ddd87
# possible first bad commit: [96690f4a01a54ce25cfc828c1af567894cc456f8] source-hash-142ac4d21d3ae4295f9cce5c8fffe1788f054b86
# possible first bad commit: [0d7c226297f9caf05cd15e846d04e675097c9fdd] source-hash-a67e7ca6cd7ed646bac535c8cdffd6dc1f11d331


author	Kohei Yoshida <kohei.yoshida@gmail.com>	2013-03-21 00:04:00 (GMT)
committer	Kohei Yoshida <kohei.yoshida@gmail.com>	2013-03-23 01:49:19 (GMT)
commit	e509ba00be1dfbc38bbb8b93f49be2c686cffcca (patch)
tree	370872d32763f2fbe2d6c6c80b6f417b9db0f531
parent	9d0869e2f0a2c8e6a07c16c34686ef0029c63587 (diff)
Another PutCell() gone.

author	Kohei Yoshida <kohei.yoshida@gmail.com>	2013-03-20 23:41:42 (GMT)
committer	Kohei Yoshida <kohei.yoshida@gmail.com>	2013-03-23 01:49:19 (GMT)
commit	9d0869e2f0a2c8e6a07c16c34686ef0029c63587 (patch)
tree	08d4123a7292553d6e325e89af3d361094157150
parent	18d821241c33686a419aec6d6dbaa165bf5e95b7 (diff)
Reduce indentation levels by early bail-out.

author	Kohei Yoshida <kohei.yoshida@gmail.com>	2013-03-20 23:40:29 (GMT)
committer	Kohei Yoshida <kohei.yoshida@gmail.com>	2013-03-23 01:49:18 (GMT)
commit	18d821241c33686a419aec6d6dbaa165bf5e95b7 (patch)
tree	aabb9bbe78fe4e4e43cc7a3d30797d74eec47bdd
parent	05c49983366f3686576d678293c3903a08213907 (diff)
Another removal of PutCell().

author	Kohei Yoshida <kohei.yoshida@gmail.com>	2013-03-20 23:18:36 (GMT)
committer	Kohei Yoshida <kohei.yoshida@gmail.com>	2013-03-23 01:49:18 (GMT)
commit	05c49983366f3686576d678293c3903a08213907 (patch)
tree	e776fb5aecd682e244d89cc3be1e3960fb637de2
parent	230f3ea249cd1f045ba30aced35935cdc32ddd87 (diff)
One less use of PutCell().

author	Kohei Yoshida <kohei.yoshida@gmail.com>	2013-03-20 22:07:17 (GMT)
committer	Kohei Yoshida <kohei.yoshida@gmail.com>	2013-03-23 01:49:18 (GMT)
commit	230f3ea249cd1f045ba30aced35935cdc32ddd87 (patch)
tree	48cf536c8e237e836c7eefcfb5eaf02269198239
parent	142ac4d21d3ae4295f9cce5c8fffe1788f054b86 (diff)
This shouldn't be virtual.

author	Kohei Yoshida <kohei.yoshida@gmail.com>	2013-03-20 21:47:41 (GMT)
committer	Kohei Yoshida <kohei.yoshida@gmail.com>	2013-03-23 01:49:18 (GMT)
commit	142ac4d21d3ae4295f9cce5c8fffe1788f054b86 (patch)
tree	4a5d61e6d74e4f526533129b654c25f2674665ac
parent	a67e7ca6cd7ed646bac535c8cdffd6dc1f11d331 (diff)
Reorganize SetCellText() to avoid PulCell() at the very end.

author	Kohei Yoshida <kohei.yoshida@gmail.com>	2013-03-20 21:30:43 (GMT)
committer	Kohei Yoshida <kohei.yoshida@gmail.com>	2013-03-23 01:49:18 (GMT)
commit	a67e7ca6cd7ed646bac535c8cdffd6dc1f11d331 (patch)
tree	623c2494d1bf82ea5747943aa9e2531f646c3440
parent	383d39de81c4581830764efab6c31eed757751cc (diff)
ScDocFunc::SetFormulaCell() to replace use of PutCell() for formula cells.
Comment 16 Eike Rathke 2017-01-30 22:55:33 UTC
Problem is that already the form control has entries of type string, so the selected value is passed to Calc in an UNO Any of TypeClass_STRING, which Calc in OCellValueBinding::setValue() correctly passes down to ScCellObj::setString(), which *has* to force string type through ScDocFunc::SetCellText(), not attempting to interpret any number. The commits mentioned above only change the implementation of how cell content and formats are set.

Comment 9 states that earlier versions display the leading ' apostrophe (in the input line) to indicate text content in an otherwise numeric formatted cell. This was already the case in OOo, so functionality-wise this is not even a regression, the scenario never worked. Contrary to comment 13, it was also *not* ok in 3.5

Needed is a type aware handling while populating the form control and passing the selected value.
Comment 17 Commit Notification 2017-02-10 19:59:48 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e387b69967aabc44d5da5aaad8d94191437dc57c

Resolves: tdf#79250 add typed list to form control listbox

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2017-02-11 00:20:10 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d3293c7173210e0246d0dc29377f687f41588da2

Revert "Resolves: tdf#79250 add typed list to form control listbox"

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2017-02-14 10:50:26 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cdbec91da4931be72ed4f1b28f78d83a9a0d616f

special case TypedItemList in preparation for tdf#79250

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2017-02-14 10:50:31 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=838fab822c8052dd9471e28a70b1907dfde111af

Resolves: tdf#79250 add typed list to form control listbox

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.